%define debug_package %{nil}
%define product_family Springdale Open Enterprise Linux
%define product_family_short Springdale Linux
%define release_name Modena
%define base_release_version 8
%define full_release_version 8.3
%define dist_release_version 8
#define beta Beta

Name:           springdale-release
Version:        %{full_release_version}
Release:        0.42%{?dist}
Summary:        %{product_family} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{version}-%{release}
Provides:       redhat-release-eula = %{version}-%{release}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}
Provides:       redhat-release-server
Provides:       redhat-release-client
Provides:       redhat-release-computenode
Provides:       redhat-release-workstation
Obsoletes:	redhat-release
Obsoletes:      redhat-release-server
Obsoletes:      redhat-release-client
Obsoletes:      redhat-release-computenode
Obsoletes:      redhat-release-workstation
Source0:        springdale-release-%{base_release_version}.0.tar.gz
Source1:        85-display-manager.preset
Source2:        90-default.preset
Source3:        99-default-disable.preset
Requires:	springdale-core
Requires:	springdale-appstream

%description
%{product_family} release files

%prep
%setup -q -n springdale-release-7

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/redhat-release
echo "%{product_family} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/etc/springdale-release
echo "%{product_family_short} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/etc/springdale-release-short
ln -s springdale-release %{buildroot}/etc/redhat-release
ln -s springdale-release %{buildroot}/etc/system-release

# create /etc/os-release
cat << EOF >>%{buildroot}/etc/os-release
NAME="%{product_family}"
VERSION="%{full_release_version} (%{release_name})"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="%{full_release_version}"
PLATFORM_ID="platform:el%{base_release_version}"
PRETTY_NAME="%{product_family} %{full_release_version}%{?beta: %{beta}} (%{release_name})"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:springdale:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}"
HOME_URL="https://springdale.princeton.edu/"
BUG_REPORT_URL="https://springdale.princeton.edu/bugzilla"

REDHAT_BUGZILLA_PRODUCT="%{product_family} %{base_release_version}"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{full_release_version}
REDHAT_SUPPORT_PRODUCT="%{product_family}"
REDHAT_SUPPORT_PRODUCT_VERSION="%{full_release_version}%{?beta: %{beta}}"
EOF
# write cpe to /etc/system/release-cpe
echo "cpe:/o:springdale:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}" | tr [A-Z] [a-z] > %{buildroot}/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
    install -m 644 $file %{buildroot}/etc/pki/rpm-gpg
done

# Copy Productids
mkdir -p -m 755 %{buildroot}/etc/pki/product-default
#if [ -d redhat-release-productids-%{full_release_version}-*/%{_arch} ]; then
#    for pem in redhat-release-productids-%{full_release_version}-*/%{_arch}/*.pem; do
#        install -m 644 $pem %{buildroot}/etc/pki/product-default
#    done
#fi

### TJD Need to have trimmed down macros file
## set up the dist tag macros
install -d -m 755 %{buildroot}/etc/rpm
cat >> %{buildroot}/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel %{base_release_version}
%%dist .el8
%%el%{base_release_version} 1
EOF
### TJD end

# use unbranded datadir
mkdir -p -m 755 %{buildroot}/%{_datadir}/springdale-release
install -m 644 EULA %{buildroot}/%{_datadir}/springdale-release
ln -sf springdale-release %{buildroot}/%{_datadir}/redhat-release

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/springdale-release
install -m 644 GPL %{buildroot}/%{_docdir}/springdale-release
ln -sf springdale-release %{buildroot}/%{_docdir}/redhat-release

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE3} %{buildroot}/%{_prefix}/lib/systemd/system-preset/


### TJD Still debating where this really goes
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
### TJD end

mkdir -p %{buildroot}/etc/pki/swid/CA

%clean
rm -rf %{buildroot}

#pretrans
#[ -d %{_datadir}/redhat-release ] && rm -rf %{_datadir}/redhat-release
#[ -d %{_docdir}/redhat-release ] && rm -rf %{_docdir}/redhat-release

%files
%defattr(0644,root,root,0755)
/etc/springdale-release*
/etc/redhat-release
/etc/system-release
%config /etc/os-release
%config /etc/system-release-cpe
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
/etc/pki/rpm-gpg/
/etc/rpm/macros.dist
%dir %{_docdir}/springdale-release
%{_docdir}/springdale-release/*
%{_docdir}/redhat-release
%dir %{_datadir}/springdale-release
%{_datadir}/springdale-release/*
%{_datadir}/redhat-release
%{_prefix}/lib/systemd/system-preset/*
/etc/pki/product-default
%dir /etc/yum.repos.d
%dir /etc/pki/swid
%dir /etc/pki/swid/CA

%changelog
* Fri May 31 2019 Josko Plazonic <plazonic@princeton.edu>
- start with a scrubbed rh package
